import { JobStatus } from 'src/enum';
import { ArgOf } from 'src/repositories/event.repository';
import { BaseService } from 'src/services/base.service';
export declare class VersionService extends BaseService {
    onBootstrap(): Promise<void>;
    getVersion(): {
        major: number;
        minor: number;
        patch: number;
    };
    getVersionHistory(): Promise<{
        version: string;
        id: string;
        createdAt: Date;
    }[]>;
    onConfigUpdate({ oldConfig, newConfig }: ArgOf<'ConfigUpdate'>): Promise<void>;
    handleQueueVersionCheck(): Promise<void>;
    handleVersionCheck(): Promise<JobStatus>;
    onWebsocketConnection({ userId }: ArgOf<'WebsocketConnect'>): Promise<void>;
}
